import type { CreateTenantOptions, GetTenantAgentOptions, WithTenantAgentCallback } from './TenantsApiOptions';
import type { DefaultAgentModules, ModulesMap } from '@credo-ts/core';
import { AgentContext, AgentContextProvider, Logger } from '@credo-ts/core';
import { TenantAgent } from './TenantAgent';
import { TenantRecordService } from './services';
export declare class TenantsApi<AgentModules extends ModulesMap = DefaultAgentModules> {
    private agentContext;
    private tenantRecordService;
    private agentContextProvider;
    private logger;
    constructor(tenantRecordService: TenantRecordService, agentContext: AgentContext, agentContextProvider: AgentContextProvider, logger: Logger);
    getTenantAgent({ tenantId }: GetTenantAgentOptions): Promise<TenantAgent<AgentModules>>;
    withTenantAgent(options: GetTenantAgentOptions, withTenantAgentCallback: WithTenantAgentCallback<AgentModules>): Promise<void>;
    createTenant(options: CreateTenantOptions): Promise<import("./repository").TenantRecord>;
    getTenantById(tenantId: string): Promise<import("./repository").TenantRecord>;
    deleteTenantById(tenantId: string): Promise<void>;
}
