import type { TenantsModuleConfigOptions } from './TenantsModuleConfig';
import type { Constructor, ModulesMap, DependencyManager, Module, EmptyModuleMap } from '@credo-ts/core';
import { TenantsApi } from './TenantsApi';
import { TenantsModuleConfig } from './TenantsModuleConfig';
export declare class TenantsModule<AgentModules extends ModulesMap = EmptyModuleMap> implements Module {
    readonly config: TenantsModuleConfig;
    readonly api: Constructor<TenantsApi<AgentModules>>;
    constructor(config?: TenantsModuleConfigOptions);
    /**
     * Registers the dependencies of the tenants module on the dependency manager.
     */
    register(dependencyManager: DependencyManager): void;
}
