import type { TenantConfig } from '../models/TenantConfig';
import type { AgentContext, Key } from '@credo-ts/core';
import { TenantRepository, TenantRecord, TenantRoutingRepository, TenantRoutingRecord } from '../repository';
export declare class TenantRecordService {
    private tenantRepository;
    private tenantRoutingRepository;
    constructor(tenantRepository: TenantRepository, tenantRoutingRepository: TenantRoutingRepository);
    createTenant(agentContext: AgentContext, config: Omit<TenantConfig, 'walletConfig'>): Promise<TenantRecord>;
    getTenantById(agentContext: AgentContext, tenantId: string): Promise<TenantRecord>;
    deleteTenantById(agentContext: AgentContext, tenantId: string): Promise<void>;
    findTenantRoutingRecordByRecipientKey(agentContext: AgentContext, recipientKey: Key): Promise<TenantRoutingRecord | null>;
    addTenantRoutingRecord(agentContext: AgentContext, tenantId: string, recipientKey: Key): Promise<TenantRoutingRecord>;
}
